<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditAmbientesTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
           
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.EditAmbientesLabel_ambienteId}" for="ambienteId" />
                    <h:inputText id="ambienteId" value="#{ambientesController.selected.ambienteId}" title="#{bundle.EditAmbientesTitle_ambienteId}" required="true" requiredMessage="#{bundle.EditAmbientesRequiredMessage_ambienteId}"/>
                    <h:outputLabel value="#{bundle.EditAmbientesLabel_ambienteNombre}" for="ambienteNombre" />
                    <h:inputText id="ambienteNombre" value="#{ambientesController.selected.ambienteNombre}" title="#{bundle.EditAmbientesTitle_ambienteNombre}" />
                    <h:outputLabel value="#{bundle.EditAmbientesLabel_ambienteImg360}" for="ambienteImg360" />
                    <h:inputText id="ambienteImg360" value="#{ambientesController.selected.ambienteImg360}" title="#{bundle.EditAmbientesTitle_ambienteImg360}" />
                    <h:outputLabel value="#{bundle.EditAmbientesLabel_inventarioInventarioId}" for="inventarioInventarioId" />
                    <h:selectOneMenu id="inventarioInventarioId" value="#{ambientesController.selected.inventarioInventarioId}" title="#{bundle.EditAmbientesTitle_inventarioInventarioId}" required="true" requiredMessage="#{bundle.EditAmbientesRequiredMessage_inventarioInventarioId}">
                        <f:selectItems value="#{inventariosController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <h:commandLink action="#{ambientesController.update}" value="#{bundle.EditAmbientesSaveLink}"/>
                <br />
                <br />
                <h:link outcome="View" value="#{bundle.EditAmbientesViewLink}"/>
                <br />
                <h:commandLink action="#{ambientesController.prepareList}" value="#{bundle.EditAmbientesShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.EditAmbientesIndexLink}" />
            </h:form>
        </ui:define>
    </ui:composition>

</html>
